Categories:
  - Science & Education
  - Games
License: AGPL-3.0-only
WebSite: https://www.gcompris.net/
SourceCode: https://invent.kde.org/education/gcompris.git
IssueTracker: https://bugs.kde.org/enter_bug.cgi?product=gcompris
Donate: https://gcompris.net/donate-en.html

AutoName: GCompris
Description: |-
    GCompris is a high quality educational software suite, including a large number
    of activities for children aged 2 to 10. Some of the activities are game
    orientated, but nonetheless still educational.

RepoType: git
Repo: https://invent.kde.org/education/gcompris.git

Builds:
  - versionName: '0.96'
    versionCode: 9600
    commit: V0.96
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install --yes extra-cmake-modules libncurses5 p7zip
    output: android-build/android/bin/GCompris-Android-release-armeabi-v7a-dl-$$VERSION$$.apk
    prebuild: mkdir qt/ android-build/
    scandelete:
      - installer/
    build:
      - export ANDROID_NDK=$$NDK$$
      - export ANDROID_NDK_ROOT=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - pushd qt/
      - for ms in qttranslations:e08e6b4db93a7b761d64d5bedbeaaf7c4c9e9f0b qttools:1afbf2026f8db7a55c5dca857c50469fdd24ca77
        qtsvg:d1287d3523773a4daf9c7af5c0c1137708614a68 qtquickcontrols2:445b1fb541479c6ad0fca349e8629549b7679ca5
        qtmultimedia:304cd3dcb3ac4cb00adf3a0e2a0c903d9eec0a69 qtimageformats:06ef7ff597d6b429fae3074e137e9a2ada779988
        qtdeclarative:857fd00eb5be840fa89632c9d45d3ed49fa089a4 qtbase:0a8186830b6a70e8962a6f1d9c632a4265af05a2
        qtgraphicaleffects:9cf881e586070dd6e8becbf34c37aa4af59fdb85 qtquickcontrols:1fabf5cdc24669b2e1298329bcb0a9108963735f
        qtsensors:3b3d8b58c19c0b23668edd1f22913850a400e9a6 qtxmlpatterns:ef88f18b5d11577cea13d298797f0de82ab99b29
        qtandroidextras:bca23aacc75ae5e509463152cd5c7722c0eae9f0; do m=${ms%:*}; s=${ms#*:};
        fn=5.9.7-0-201810181505${m}-Linux-RHEL_7_4-GCC-Android-Android_ANY-ARMv7.7z;
        wget -q https://download.qt.io/online/qtsdkrepository/linux_x64/android/qt5_597/qt.qt5.597.android_armv7/$fn;
        echo "$s  $fn" | sha1sum -c
      - 7zr x $fn; done
      - export CMAKE_LIB=$(pwd)/5.9.7/android_armv7/lib/cmake/
      - export QTPREFIX=$(pwd)/5.9.7/android_armv7
      - popd
      - sed -i '/set(QT_REQUIRED_VERSION 5.12.0)/d' ./CMakeLists.txt
      - sed -i '/android-extra-plugins/d' ./android/configAndroid.json.cmake
      - sed -i 's/gcompris",/gcompris"/g' ./android/configAndroid.json.cmake
      - sed -i '/QT_LICHECK/d' $QTPREFIX/mkspecs/qconfig.pri
      - sed -i 's/Enterprise/OpenSource/g' $QTPREFIX/mkspecs/qconfig.pri
      - echo "[Paths]" > $QTPREFIX/bin/qt.conf
      - echo "Prefix = $QTPREFIX" >> $QTPREFIX/bin/qt.conf
      - pushd android-build/
      - cmake -DCMAKE_TOOLCHAIN_FILE=/usr/share/ECM/toolchain/Android.cmake -DQt5_DIR=$CMAKE_LIB/Qt5/
        -DQt5Core_DIR=$CMAKE_LIB/Qt5Core/ -DQt5Widgets_DIR=$CMAKE_LIB/Qt5Widgets -DQt5Qml_DIR=$CMAKE_LIB/Qt5Qml
        -DQt5Gui_DIR=$CMAKE_LIB/Qt5Gui -DQt5Svg_DIR=$CMAKE_LIB/Qt5Svg -DQt5Sensors_DIR=$CMAKE_LIB/Qt5Sensors
        -DQt5AndroidExtras_DIR=$CMAKE_LIB/Qt5AndroidExtras -DQt5Xml_DIR=$CMAKE_LIB/Qt5Xml
        -DQt5LinguistTools_DIR=$CMAKE_LIB/Qt5LinguistTools -DQt5XmlPatterns_DIR=$CMAKE_LIB/Qt5XmlPatterns
        -DQt5Quick_DIR=$CMAKE_LIB/Qt5Quick -DQt5Multimedia_DIR=$CMAKE_LIB/Qt5Multimedia
        -DQt5Network_DIR=$CMAKE_LIB/Qt5Network -DACTIVATION_MODE=no -Wno-dev -DCMAKE_ANDROID_API=16
        -DCMAKE_ANDROID_NDK_TOOLCHAIN_VERSION=4.9 -DCMAKE_ANDROID_STL_TYPE=gnustl_shared
        ../
      - make getSvnTranslations
      - rm -f ../po/gcompris_ast.po ../po/gcompris_ca@valencia.po
      - cmake -DCMAKE_TOOLCHAIN_FILE=/usr/share/ECM/toolchain/Android.cmake ../
      - make
      - make apk_release
    ndk: r12b

  - versionName: '0.97'
    versionCode: 9700
    commit: V0.97
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install --yes libncurses5 -t stretch-backports cmake p7zip
    output: android-build/android/GCompris-Android-release-armeabi-v7a-dl-$$VERSION$$.apk
    srclibs:
      - extra-cmake-modules@v5.63.0
    prebuild: mkdir qt/ android-build/
    scandelete:
      - installer/
    build:
      - export ANDROID_NDK=$$NDK$$
      - export ANDROID_NDK_ROOT=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - pushd qt/
      - for ms in qttranslations:7b76244fcf0a37cac82e05a959655fab6374aefd qttools:a7e99533372b1931bf176e8f35db202859bee5c4
        qtsvg:d7668e8a323f40c86707512b5da2bd58cc63a5ed qtquickcontrols2:73936b04687e01780145701767cf43629e982a81
        qtmultimedia:96a3aff7162e3bf2a18a37af07f3b513282ce1f0 qtimageformats:375306e5bd0a289922086dc95c553348de0a3bc4
        qtdeclarative:20d4bc625e6a7e3bb5e5291a048ab23b7a078934 qtbase:426de8c2299ac4080719f2420288f2d83cb15c60
        qtgraphicaleffects:f8c2b592d89a8ed66f74c221ecaa37568a606f15 qtquickcontrols:6348b43dd4c0974ddc7a7efff7226485cc8d583c
        qtsensors:152eb3a9b9f32d47f898d1eaed7e7610900af7fe qtxmlpatterns:c5050019511ff81a7ec248bf9b58e6edd91b881c
        qtandroidextras:164155b58fd6642a823f28cf0d6cb51348f666cc; do m=${ms%:*}; s=${ms#*:};
        fn=5.12.5-0-201909090517${m}-Linux-RHEL_7_4-Clang-Android-Android_ANY-ARMv7.7z;
        wget -q https://download.qt.io/online/qtsdkrepository/linux_x64/android/qt5_5125/qt.qt5.5125.android_armv7/$fn;
        echo "$s  $fn" | sha1sum -c
      - 7zr x $fn; done
      - export CMAKE_LIB=$(pwd)/5.12.5/android_armv7/lib/cmake/
      - export QTPREFIX=$(pwd)/5.12.5/android_armv7
      - popd
      - sed -i '/QT_LICHECK/d' $QTPREFIX/mkspecs/qconfig.pri
      - sed -i 's/Enterprise/OpenSource/g' $QTPREFIX/mkspecs/qconfig.pri
      - echo "[Paths]" > $QTPREFIX/bin/qt.conf
      - echo "Prefix = $QTPREFIX" >> $QTPREFIX/bin/qt.conf
      - mkdir $$extra-cmake-modules$$/build
      - pushd $$extra-cmake-modules$$/build
      - cmake -DCMAKE_INSTALL_PREFIX=. ..
      - make
      - make install
      - popd
      - pushd android-build/
      - cmake -DANDROID_PLATFORM=android-18 -DANDROID_API_LEVEL=18 -DCMAKE_TOOLCHAIN_FILE=$$extra-cmake-modules$$/build/share/ECM/toolchain/Android.cmake
        -DQt5_DIR=$CMAKE_LIB/Qt5/ -DQt5Core_DIR=$CMAKE_LIB/Qt5Core/ -DQt5Widgets_DIR=$CMAKE_LIB/Qt5Widgets
        -DQt5Qml_DIR=$CMAKE_LIB/Qt5Qml -DQt5Gui_DIR=$CMAKE_LIB/Qt5Gui -DQt5Svg_DIR=$CMAKE_LIB/Qt5Svg
        -DQt5Sensors_DIR=$CMAKE_LIB/Qt5Sensors -DQt5AndroidExtras_DIR=$CMAKE_LIB/Qt5AndroidExtras
        -DQt5Xml_DIR=$CMAKE_LIB/Qt5Xml -DQt5LinguistTools_DIR=$CMAKE_LIB/Qt5LinguistTools
        -DQt5XmlPatterns_DIR=$CMAKE_LIB/Qt5XmlPatterns -DQt5Quick_DIR=$CMAKE_LIB/Qt5Quick
        -DQt5Multimedia_DIR=$CMAKE_LIB/Qt5Multimedia -DQt5Network_DIR=$CMAKE_LIB/Qt5Network
        -DACTIVATION_MODE=no -Wno-dev ../
      - make getSvnTranslations
      - rm -f ../po/gcompris_ast.po ../po/gcompris_ca@valencia.po
      - cmake -DCMAKE_TOOLCHAIN_FILE=/usr/share/ECM/toolchain/Android.cmake ../
      - make
      - make apk_release
    ndk: r18b

  - versionName: '1.0'
    versionCode: 10000
    commit: V1.0
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install --yes libncurses5 -t stretch-backports cmake
      - apt-get install -y libgl1-mesa-dev g++ zlib1g-dev
    output: android-build/android/GCompris-Android-release-armeabi-v7a-dl-$$VERSION$$.apk
    srclibs:
      - extra-cmake-modules@v5.63.0
    prebuild: mkdir qt/ android-build/
    scandelete:
      - installer/
    build:
      - export ANDROID_NDK=$$NDK$$
      - export ANDROID_NDK_ROOT=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export QT_VERSION=5.12.9
      - export PREFIX=$(pwd)/qt/install/
      - export OPENSSL_LIBS=-L$PREFIX'/lib -lssl -lcrypto'
      - git clone --depth 1 https://github.com/openssl/openssl.git --branch OpenSSL_1_1_1c
      - pushd openssl
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH ./Configure shared
        android-arm -D__ANDROID_API__=21 --prefix=$PREFIX
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make depend
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make build_libs
        SHLIB_VERSION_NUMBER= SHLIB_EXT=.so
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make install_sw
        SHLIB_VERSION_NUMBER= SHLIB_EXT=.so
      - popd
      - pushd qt/
      - git clone https://code.qt.io/cgit/qt/qtbase.git --single-branch --branch $QT_VERSION
      - pushd qtbase
      - ./configure -xplatform android-clang --disable-rpath -openssl-linked -nomake
        tests -nomake examples -android-ndk $$NDK$$ -android-sdk $$SDK$$ -no-warnings-are-errors
        -opensource -confirm-license -prefix $PREFIX -I$PREFIX/include
      - make -j$(nproc)
      - make install
      - popd
      - export CMAKE_QT_LIB=${PREFIX}/lib/cmake/
      - for module in qtdeclarative qtquickcontrols qtquickcontrols2 qtsvg qtandroidextras
        qtgraphicaleffects qttools qtmultimedia qtimageformats qtsensors qtxmlpatterns
        qttranslations; do git clone https://code.qt.io/qt/${module}.git --single-branch
        --branch=$QT_VERSION
      - pushd ${module}
      - QMAKESPEC=android-clang $PREFIX/bin/qmake .
      - make -j$(nproc)
      - make install
      - popd; done
      - popd
      - mkdir $$extra-cmake-modules$$/build
      - pushd $$extra-cmake-modules$$/build
      - cmake -DCMAKE_INSTALL_PREFIX=. ..
      - make
      - make install
      - popd
      - pushd android-build/
      - cmake -DANDROID_PLATFORM=android-18 -DANDROID_API_LEVEL=18 -DCMAKE_TOOLCHAIN_FILE=$$extra-cmake-modules$$/build/share/ECM/toolchain/Android.cmake
        -DQt5_DIR=${CMAKE_QT_LIB}/Qt5/ -DQt5Core_DIR=${CMAKE_QT_LIB}/Qt5Core/ -DQt5Widgets_DIR=${CMAKE_QT_LIB}/Qt5Widgets
        -DQt5Qml_DIR=${CMAKE_QT_LIB}/Qt5Qml -DQt5Gui_DIR=${CMAKE_QT_LIB}/Qt5Gui -DQt5Svg_DIR=${CMAKE_QT_LIB}/Qt5Svg
        -DQt5Sensors_DIR=${CMAKE_QT_LIB}/Qt5Sensors -DQt5AndroidExtras_DIR=${CMAKE_QT_LIB}/Qt5AndroidExtras
        -DQt5Xml_DIR=${CMAKE_QT_LIB}/Qt5Xml -DQt5LinguistTools_DIR=${CMAKE_QT_LIB}/Qt5LinguistTools
        -DQt5XmlPatterns_DIR=${CMAKE_QT_LIB}/Qt5XmlPatterns -DQt5Quick_DIR=${CMAKE_QT_LIB}/Qt5Quick
        -DQt5Multimedia_DIR=${CMAKE_QT_LIB}/Qt5Multimedia -DQt5Network_DIR=${CMAKE_QT_LIB}/Qt5Network
        -Wno-dev ../
      - make getSvnTranslations
      - rm -f ../po/gcompris_ast.po ../po/gcompris_ca@valencia.po
      - cmake -DCMAKE_TOOLCHAIN_FILE=/usr/share/ECM/toolchain/Android.cmake ../
      - make
      - make apk_release
    ndk: r18b

  - versionName: '1.1'
    versionCode: 10100
    commit: V1.1
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake libncurses5
      - apt-get install -y libgl1-mesa-dev g++ zlib1g-dev
    output: android-build/android/GCompris-Android-release-armeabi-v7a-dl-$$VERSION$$.apk
    srclibs:
      - extra-cmake-modules@v5.63.0
    prebuild: mkdir qt/ android-build/
    scandelete:
      - installer/
    build:
      - export ANDROID_NDK=$$NDK$$
      - export ANDROID_NDK_ROOT=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export QT_VERSION=5.12.9
      - export PREFIX=$(pwd)/qt/install/
      - export OPENSSL_LIBS=-L$PREFIX'/lib -lssl -lcrypto'
      - git clone --depth 1 https://github.com/openssl/openssl.git --branch OpenSSL_1_1_1j
      - pushd openssl
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH ./Configure shared
        android-arm -D__ANDROID_API__=21 --prefix=$PREFIX
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make depend
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make build_libs
        SHLIB_VERSION_NUMBER= SHLIB_EXT=.so
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make install_sw
        SHLIB_VERSION_NUMBER= SHLIB_EXT=.so
      - popd
      - pushd qt/
      - git clone https://code.qt.io/cgit/qt/qtbase.git --single-branch --branch $QT_VERSION
      - pushd qtbase
      - ./configure -xplatform android-clang --disable-rpath -openssl-linked -nomake
        tests -nomake examples -android-ndk $$NDK$$ -android-sdk $$SDK$$ -no-warnings-are-errors
        -opensource -confirm-license -prefix $PREFIX -I$PREFIX/include
      - make -j$(nproc)
      - make install
      - popd
      - export CMAKE_QT_LIB=${PREFIX}/lib/cmake/
      - for module in qtdeclarative qtquickcontrols qtquickcontrols2 qtsvg qtandroidextras
        qtgraphicaleffects qttools qtmultimedia qtimageformats qtsensors qtxmlpatterns
        qttranslations; do git clone https://code.qt.io/qt/${module}.git --single-branch
        --branch=$QT_VERSION
      - pushd ${module}
      - QMAKESPEC=android-clang $PREFIX/bin/qmake .
      - make -j$(nproc)
      - make install
      - popd; done
      - popd
      - mkdir $$extra-cmake-modules$$/build
      - pushd $$extra-cmake-modules$$/build
      - cmake -DCMAKE_INSTALL_PREFIX=. ..
      - make
      - make install
      - popd
      - pushd android-build/
      - cmake -DANDROID_PLATFORM=android-18 -DANDROID_API_LEVEL=18 -DCMAKE_TOOLCHAIN_FILE=$$extra-cmake-modules$$/build/share/ECM/toolchain/Android.cmake
        -DQt5_DIR=${CMAKE_QT_LIB}/Qt5/ -DQt5Core_DIR=${CMAKE_QT_LIB}/Qt5Core/ -DQt5Widgets_DIR=${CMAKE_QT_LIB}/Qt5Widgets
        -DQt5Qml_DIR=${CMAKE_QT_LIB}/Qt5Qml -DQt5Gui_DIR=${CMAKE_QT_LIB}/Qt5Gui -DQt5Svg_DIR=${CMAKE_QT_LIB}/Qt5Svg
        -DQt5Sensors_DIR=${CMAKE_QT_LIB}/Qt5Sensors -DQt5AndroidExtras_DIR=${CMAKE_QT_LIB}/Qt5AndroidExtras
        -DQt5Xml_DIR=${CMAKE_QT_LIB}/Qt5Xml -DQt5LinguistTools_DIR=${CMAKE_QT_LIB}/Qt5LinguistTools
        -DQt5XmlPatterns_DIR=${CMAKE_QT_LIB}/Qt5XmlPatterns -DQt5Quick_DIR=${CMAKE_QT_LIB}/Qt5Quick
        -DQt5Multimedia_DIR=${CMAKE_QT_LIB}/Qt5Multimedia -DQt5Network_DIR=${CMAKE_QT_LIB}/Qt5Network
        -Wno-dev ../
      - make getSvnTranslations
      - cmake -DCMAKE_TOOLCHAIN_FILE=/usr/share/ECM/toolchain/Android.cmake ../
      - make
      - make apk_release
    ndk: r18b

  - versionName: '2.0'
    versionCode: 20000
    commit: V2.0
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake libncurses5
      - apt-get install -y libgl1-mesa-dev g++ zlib1g-dev
    output: android-build/android/GCompris-Android-release-armeabi-v7a-dl-$$VERSION$$.apk
    srclibs:
      - extra-cmake-modules@v5.63.0
      - OpenSSL@OpenSSL_1_1_1m
    prebuild: mkdir qt/ android-build/
    scandelete:
      - installer/
    build:
      - export ANDROID_NDK=$$NDK$$
      - export ANDROID_NDK_ROOT=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export QT_VERSION=5.12.9
      - export PREFIX=$(pwd)/qt/install/
      - export OPENSSL_LIBS=-L$PREFIX'/lib -lssl -lcrypto'
      - pushd $$OpenSSL$$
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH ./Configure shared
        android-arm -D__ANDROID_API__=21 --prefix=$PREFIX
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make depend
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make build_libs
        SHLIB_VERSION_NUMBER= SHLIB_EXT=.so
      - PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH make install_sw
        SHLIB_VERSION_NUMBER= SHLIB_EXT=.so
      - popd
      - pushd qt/
      - git clone https://code.qt.io/cgit/qt/qtbase.git --single-branch --branch $QT_VERSION
      - pushd qtbase
      - sed -i '/<string.h>/a \#include <limits>\n\#include <algorithm>' src/corelib/global/qendian.h
      - sed -i '/<QtCore\/qbytearray.h>/a \#include <limits>\n\#include <algorithm>'
        src/corelib/tools/qbytearraymatcher.h
      - sed -i '/<stdio.h>/a \#include <limits>\n\#include <algorithm>' src/tools/moc/generator.cpp
      - ./configure -xplatform android-clang --disable-rpath -openssl-linked -nomake
        tests -nomake examples -android-ndk $$NDK$$ -android-sdk $$SDK$$ -no-warnings-are-errors
        -opensource -confirm-license -prefix $PREFIX -I$PREFIX/include
      - make -j$(nproc)
      - make install
      - popd
      - export CMAKE_QT_LIB=${PREFIX}/lib/cmake/
      - git clone https://code.qt.io/qt/qtdeclarative.git --single-branch --branch=$QT_VERSION
      - pushd qtdeclarative
      - sed -i '/qv4global_p.h>/a \#include <limits>\n\#include <algorithm>\n' src/qml/jsruntime/qv4propertykey_p.h
      - QMAKESPEC=android-clang $PREFIX/bin/qmake .
      - make -j$(nproc)
      - make install
      - popd
      - for module in qtquickcontrols qtsvg qtandroidextras qtgraphicaleffects qttools
        qtmultimedia qtimageformats qtsensors qttranslations; do git clone https://code.qt.io/qt/${module}.git
        --single-branch --branch=$QT_VERSION
      - pushd ${module}
      - QMAKESPEC=android-clang $PREFIX/bin/qmake .
      - make -j$(nproc)
      - make install
      - popd; done
      - popd
      - mkdir $$extra-cmake-modules$$/build
      - pushd $$extra-cmake-modules$$/build
      - cmake -DCMAKE_INSTALL_PREFIX=. -DBUILD_HTML_DOCS=OFF -DBUILD_MAN_DOCS=OFF
        -DBUILD_TESTING=OFF ..
      - make
      - make install
      - popd
      - sed -i 's=${OPENSSL_DIR}/libcrypto.so.1.1=$$OpenSSL$$/libcrypto.so=g' android/CMakeLists.txt
      - sed -i 's=${OPENSSL_DIR}/libssl.so.1.1=$$OpenSSL$$/libssl.so=g' android/CMakeLists.txt
      - pushd android-build
      - cmake -DANDROID_PLATFORM=android-21 -DANDROID_API_LEVEL=21 -DCMAKE_ANDROID_API=21
        -DCMAKE_TOOLCHAIN_FILE=$$NDK$$/build/cmake/android.toolchain.cmake -DQt5_DIR=${CMAKE_QT_LIB}/Qt5/
        -DQt5Core_DIR=${CMAKE_QT_LIB}/Qt5Core/ -DQt5Widgets_DIR=${CMAKE_QT_LIB}/Qt5Widgets
        -DQt5Qml_DIR=${CMAKE_QT_LIB}/Qt5Qml -DQt5Gui_DIR=${CMAKE_QT_LIB}/Qt5Gui -DQt5Svg_DIR=${CMAKE_QT_LIB}/Qt5Svg
        -DQt5Sensors_DIR=${CMAKE_QT_LIB}/Qt5Sensors -DQt5AndroidExtras_DIR=${CMAKE_QT_LIB}/Qt5AndroidExtras
        -DQt5LinguistTools_DIR=${CMAKE_QT_LIB}/Qt5LinguistTools -DQt5Quick_DIR=${CMAKE_QT_LIB}/Qt5Quick
        -DQt5Multimedia_DIR=${CMAKE_QT_LIB}/Qt5Multimedia -DQt5Network_DIR=${CMAKE_QT_LIB}/Qt5Network
        -Wno-dev ../
      - make getSvnTranslations
      - cmake -DCMAKE_TOOLCHAIN_FILE=/usr/share/ECM/toolchain/Android.cmake ../
      - make
      - make apk_release
    ndk: r21e

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: '2.0'
CurrentVersionCode: 20000
